#include<iostream>
#include<fstream>
#include<string>
#include<sstream>


using std::cin;
using std::cout;
using std::endl;
using std::ofstream;
using std::ifstream;
using std::string;

void removePunctuation(string& line)
{
	for (unsigned int i = 0; i < line.length(); i++)
	{
		if (ispunct(line[i]) && line[i] != '\'')
		{
			line.replace(i, 1, " ");
		}
	}
}

void main()
{
	string words[15000];
	int counts[15000] = { 0 };
	int wordCount = 0;

	ifstream bible("gen.txt");

	if (!bible.fail())
	{
		string line;
		while (!bible.eof())
		{
			getline(bible, line);
			if (line.length() > 8)
			{
				line = line.substr(8);
				removePunctuation(line);
				//cout << line << endl;
				std::istringstream sin(line);
				string word;
				while (!sin.eof())
				{
					sin >> word;
					bool wordFound = false;
					for (int i = 0; i < wordCount; i++)
					{
						if (word == words[i])
						{
							counts[i]++;
							wordFound = true;
							break;
						}
					}
					if (!wordFound)
					{
						words[wordCount] = word;
						counts[wordCount] = 1;
						wordCount++;
					}

				}


			}
		}
	}
	else
	{
		cout << "Unable to find bible.txt" << endl;
	}


	bible.close();

	//csv - comma separated values
	ofstream fout("wordCounts.csv");
	for (int i = 0; i < wordCount; i++)
	{
		fout << words[i] << "," << counts[i] << endl;
	}
	fout.close();


}
